Subject: bug#78635: 30.1.90; wishlist: labels/comments/annotations for individual stack entries

From: Christopher Howard <[email-masked]>
Date: Wed, 30 Jul 2025 13:44:29 -0800

> An area I could use help with: to test this, I am currently editing the stack by hand (using setq), not being familiar with the API for modifying the calc stack. Could somebody throw together for me a basic example function that accesses the proper stack entry (topmost entry...? entry selected...?) and shows me how I would save the entry back to stack after I modified it? I have been trying to look at conceptually simple functions like calc-enter for guidance, but am still getting lost in the weeds.

Is there anybody knowledgeable in Calc stack API who to assist me with figuring out a basic stack modification function? I'm trying to figure it out on my own but it seems like even the most basic functions are nested pretty deep, and the internal functions and macros are not documented. I'm not seeing anything in the Calc manual on "how to hack Calc" but glad to do more reading if there is a guidebook somewhere.

-- 
Christopher Howard